cURL
curl -X GET "https://api.fitsociety.io/public/v1/locations/{locationId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"location": {
"locationId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Amsterdam HQ",
"alternateName": "HQ",
"address": "Main street 1",
"primary": true,
"coordinates": {
"longitude": 4.9,
"latitude": 52.37
},
"timeZone": "Europe/Amsterdam",
"type": "branch",
"allowsClientAssignment": true,
"accessZones": [
{
"key": "front",
"name": "Front desk",
"isActive": true
}
],
"facilitiesAndServices": {
"mode": "inherit",
"facilities": [
"<string>"
],
"services": [
"<string>"
]
},
"profile": {
"visibility": "inherit",
"displayName": "",
"description": "",
"website": "",
"email": "",
"phone": "",
"socialMedia": {
"instagram": "",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
}
},
"openingHours": {
"mode": "not_set",
"weeklyPattern": [
{
"dayOfWeek": 1,
"slots": [
{
"startTime": "09:00",
"endTime": "17:00"
}
]
}
],
"exceptions": [
{
"date": "2026-07-15T10:00:00.000Z",
"type": "closed",
"slots": [
{
"startTime": "09:00",
"endTime": "12:00"
}
],
"reason": "Holiday"
}
]
},
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Locations
Get location
Requires locations:read.
GET
/
public
/
v1
/
locations
/
{locationId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/locations/{locationId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"location": {
"locationId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Amsterdam HQ",
"alternateName": "HQ",
"address": "Main street 1",
"primary": true,
"coordinates": {
"longitude": 4.9,
"latitude": 52.37
},
"timeZone": "Europe/Amsterdam",
"type": "branch",
"allowsClientAssignment": true,
"accessZones": [
{
"key": "front",
"name": "Front desk",
"isActive": true
}
],
"facilitiesAndServices": {
"mode": "inherit",
"facilities": [
"<string>"
],
"services": [
"<string>"
]
},
"profile": {
"visibility": "inherit",
"displayName": "",
"description": "",
"website": "",
"email": "",
"phone": "",
"socialMedia": {
"instagram": "",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
}
},
"openingHours": {
"mode": "not_set",
"weeklyPattern": [
{
"dayOfWeek": 1,
"slots": [
{
"startTime": "09:00",
"endTime": "17:00"
}
]
}
],
"exceptions": [
{
"date": "2026-07-15T10:00:00.000Z",
"type": "closed",
"slots": [
{
"startTime": "09:00",
"endTime": "12:00"
}
],
"reason": "Holiday"
}
]
},
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I